Cent OS Docker 설치하기

도커 패키지 설치를 위한 툴 설치

yum install -y yum-utils \
  device-mapper-persistent-data \
  lvm2

레포지터리 추가

yum-config-manager \
    --add-repo \
    https://download.docker.com/linux/centos/docker-ce.repo

레포지토리 등록이 안되있으면 아래와 같이 일치하는 패키지가 없다고 나온다.

레포지토리 추가가 완료되었으면 docker install

yum install docker-ce docker-ce-cli containerd.io

설치할때 아래와 같은 오류가 나온다면 –nobest 를 주면된다.
Cent 8버전대의 도커는 최신버전이 아닌듯..
*문제 : package docker-ce-3:19.03.8-3.el7.x86_64 requires containerd.io >= 1.2.2-3, but none of the providers can be installed)

yum install docker-ce docker-ce-cli containerd.io –nobest

설치가 완료되었으면 service docker start

동작이 되나 궁금하면

docker run hello-world를 해보면 된다.

 

————————————————–

사이트 리뉴얼중입니다~

서버(Linux, ESXi), NAS(헤놀로지, ESXi 및 IT관련 정보, 기타 등등을 공유하는 커뮤니티 SVRFORUM을 새로 만들었습니다.
많은 가입(?) 부탁드립니다~
https://svrforum.com

이전글들은 모두 상단 메뉴의 Blog 글 모음에있습니다!

답글 남기기

이메일 주소는 공개되지 않습니다. 필수 항목은 *(으)로 표시합니다

홈서버 IT 커뮤니티 SVRFORUM
Link